/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.configuration;

/**
 *
 * @author Andreas Stoeckel -- astoecke(at)techfak.uni-bielefeld.de
 */
public class ConfigurationSet {

	private final String set;

	private final Configuration configuration;

	public ConfigurationSet(String set, Configuration configuration) {
		this.set = set;
		this.configuration = configuration;
	}

	public String getValue(String key) {
		return configuration.getValue(set, key);
	}

	public boolean setValue(String key, String value) throws ValidityException {
		return configuration.setValue(set, key, value);
	}

	public Configuration getConfiguration() {
		return configuration;
	}

}
