/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.ontology.driver;

/**
 * The AssociationDirection enum is used to specify the direction of an
 * association. This enum is used in the database driver when querying the
 * associations for an node.
 *
 * @author Andreas Stoeckel - astoecke(at)techfak.uni-bielefeld.de
 */
public enum AssociationDirection {
	/**
	 * OUTBOUND specifies associations which originate in the given node (their
	 * source property is set to the given node).
	 */
	OUTBOUND,
	
	/**
	 * INBOUND specifies associations which end in the given node (their
	 * target property is set to the given node).
	 */
	INBOUND,

	/**
	 * BOTH specifies any association that either has the given node as target
	 * node or as source node.
	 */
	BOTH
}
