/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.ontology.importer;

import java.io.File;

public class FolderImporter {
	/**
	 * Imports all *.xml in a Folder as small ontology into db
	 * @param args to a Folder, that should be imported
	 */
	public static void main(String args[]){
		try{
			if(args.length<1){
				throw new RuntimeException();
			}
			String[] argsI;
			String[] argsOverride={"small","./config.xml","","override"};
			String[] argsNOverride={"small","./config.xml",""};
			if(args.length>1){
				argsI=argsOverride;
			}else{
				argsI=argsNOverride;
			}
		  File folder= new File(args[0]);
		  if (folder.exists()&&folder.isDirectory()){
		  	System.out.println("Importing Folder: "+ folder.getAbsolutePath());
		  	for(File onto:folder.listFiles()){
		  		String childPath=onto.getAbsolutePath();
		  		if(onto.isFile()&&childPath.endsWith(".xml")){
		  			argsI[2]=childPath;
		  			System.out.println("importing: "+childPath);
		  			XMLImporter.main(argsI);		  			
		  		}
		  	}
		  }else{
		  	throw new RuntimeException();
		  }
		}catch(Exception e){
			e.printStackTrace();
			System.out.println("Usage: FolderImporter <path> \n"
					+ "<path> is the path to a Folder, that contains *.xml that should be "+
					"imported into db as small ontologie");		
		}
		
	}
}
